## imcode.util
Class ShouldHaveCheckedPermissionsEarlierException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.commons.lang.UnhandledException
                          imcode.util.ShouldNotBeThrownException
                              imcode.util.ShouldHaveCheckedPermissionsEarlierException

All Implemented Interfaces:
  java.io.Serializable, org.apache.commons.lang.exception.Nestable

    public class ShouldHaveCheckedPermissionsEarlierException

extends ShouldNotBeThrownException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`ShouldHaveCheckedPermissionsEarlierException(NoPermissionInternalException e)`

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShouldHaveCheckedPermissionsEarlierException

    public ShouldHaveCheckedPermissionsEarlierException(NoPermissionInternalException e)